Subject: bug#16984: dired-do-rename susceptible to .../~/... hijack

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Oct 2016 09:50:30 +0300

> From: [email-masked]
> Date: Sat, 22 Oct 2016 22:21:20 -0400
> Cc: [email-masked]
> 
> The essential problem seems to be that there is no way to escape
> filenames from substitute-in-file-name to protect a file named "~",
> therefore read-file-name-default can never return a filename in a
> directory with that name.

What about the "/:" quoting?  It works for me, when I type "/:" before
the name of the file which has a '~' character embedded in it.